/**
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { Assessment, Event } from "./assessment";
import { EdgeRequest, RecaptchaContext } from "./index";
/**
 * Adds reCAPTCHA specific values to an Event strucutre.
 * This includes, the siteKey, the token, cookies, and flags like express.
 */
export declare function createPartialEventWithSiteInfo(context: RecaptchaContext, req: EdgeRequest): Promise<Event>;
/**
 * Call the reCAPTCHA API to create an assessment.
 */
export declare function callCreateAssessment(context: RecaptchaContext, req: EdgeRequest, environment?: [string, string], additionalParams?: Event): Promise<Assessment>;
