import { EdgeRequest, EdgeResponse, EdgeResponseInit } from "./request";
export declare class FetchApiRequest implements EdgeRequest {
    req: Request;
    constructor(req: Request | string);
    get url(): string;
    set url(new_url: string);
    get method(): string;
    addHeader(key: string, value: string): void;
    getHeader(key: string): string | null;
    getHeaders(): Map<string, string>;
    getBodyText(): Promise<string>;
    getBodyJson(): Promise<unknown>;
    asRequest(): Request;
}
export declare class FetchApiResponse implements EdgeResponse {
    resp: Response;
    headers: Map<string, string>;
    constructor(resp: Response | string, options?: EdgeResponseInit);
    asResponse(): Response;
    get status(): number;
    text(): Promise<string>;
    json(): Promise<unknown>;
    addHeader(key: string, value: string): void;
    getHeader(key: string): string | null;
    getHeaders(): Map<string, string>;
}
